//   RW Intuit
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/cognate/intuit.hpp
// -Declarations of the baseline RW Intuit sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
/**
 */
class Intuit_b : public RW {
 public:
  Intuit_b();                                    // default ctor
  explicit Intuit_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Intuit : public Intuit_b {
 public:
  Intuit();                                    // default ctor
  explicit Intuit(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v221022
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
