// RW Categories
// ==============
// The Information & Knowledge Categories Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/alexandria/categories.cpp
// -Definitions of the baseline RW Categories sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::alexandria {

//------------------------------------------------------------------------------
Categories_b::Categories_b() : Categories_b{"categories_b_obj"} {}

//------------------------------------------------------------------------------
Categories_b::Categories_b(std::string const& handle)
    : RW{handle, Type::Categories} {
  stamp("Categories_b()");
}

//------------------------------------------------------------------------------
Categories::Categories() : Categories{"categories_obj"} {}

//------------------------------------------------------------------------------
Categories::Categories(std::string const& handle) : Categories_b{handle} {
  stamp("Categories()");
}

}  // namespace rw::curator::alexandria

//    --=^=--

// "______"

// rw_curator_lib.v221022
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
