//  RW Terminal
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/graphicom/terminal.cpp
// -Definitions of the baseline RW Terminal sub-library

#include "incls_all.hpp"

namespace rw::graphicom {

//------------------------------------------------------------------------------
Terminal_b::Terminal_b() : Terminal_b{"terminal_b_obj"} {}

//------------------------------------------------------------------------------
Terminal_b::Terminal_b(std::string const& handle) : RW{handle, Type::Terminal} {
  stamp("Terminal_b()");
}

//------------------------------------------------------------------------------
Terminal::Terminal() : Terminal{"terminal_obj"} {}

//------------------------------------------------------------------------------
Terminal::Terminal(std::string const& handle) : Terminal_b{handle} {
  stamp("Terminal()");
}

}  // namespace rw::graphicom

//    --=^=--

// "______"

// rw_graphicom_lib.v221022
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
