//   RW Cooker
// ==============
// Household Domestics: Cooking Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/meido/cooker.cpp
// -Definitions of the baseline RW Cooker sub-library

#include "incls_all.hpp"

namespace rw::meido {

//------------------------------------------------------------------------------
Cooker_b::Cooker_b() : Cooker_b{"cooker_b_obj"} {}

//------------------------------------------------------------------------------
Cooker_b::Cooker_b(std::string const& handle) : RW{handle, Type::Cooker} {
  stamp("Cooker_b()");
}

//------------------------------------------------------------------------------
Cooker::Cooker() : Cooker{"cooker_obj"} {}

//------------------------------------------------------------------------------
Cooker::Cooker(std::string const& handle) : Cooker_b{handle} {
  stamp("Cooker()");
}

}  // namespace rw::meido

//    --=^=--

// "______"

// rw_meido_lib.v221022
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
