//   RW Percept
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/cognate/percept.hpp
// -Declarations of the baseline RW Percept sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
/**
 */
class Percept_b : public RW {
 public:
  Percept_b();                                    // default ctor
  explicit Percept_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Percept : public Percept_b {
 public:
  Percept();                                    // default ctor
  explicit Percept(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v221022
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
