// RW Collections
// ==============
// The Information & Knowledge Collections Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/alexandria/collections.hpp
// -Declarations of the baseline RW Collections sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::alexandria {

//------------------------------------------------------------------------------
/**
 */
class Collections_b : public RW {
 public:
  Collections_b();                                    // default ctor
  explicit Collections_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Collections : public Collections_b {
 public:
  Collections();                                    // default ctor
  explicit Collections(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::curator::alexandria

//    --=^=--

// "______"

// rw_curator_lib.v221022
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
