//   RW Meido
// ==============
// Household Domestics: Cooking, Cleaning, &tc. Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/meido/meido_sb.hpp
// -Alias switchboard for the baseline RW Meido library

#pragma once

// clang-format off
namespace rw::meido  { class Cleaner; }
namespace rw::meido  { class Cleaner_b; }
namespace rw::meido  { class Cooker; }
namespace rw::meido  { class Cooker_b; }
namespace rw::meido  { class Meido; }
namespace rw::meido  { class Meido_b; }
// clang-format on
//
using rw::meido::Cleaner;
using rw::meido::Cleaner_b;
using rw::meido::Cooker;
using rw::meido::Cooker_b;
using rw::meido::Meido;
using rw::meido::Meido_b;

//    --=^=--

// "______"

// rw_meido_lib.v221022
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
