//   RW Intuit
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/cognate/intuit.cpp
// -Definitions of the baseline RW Intuit sub-library

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
Intuit_b::Intuit_b() : Intuit_b{"intuit_b_obj"} {}

//------------------------------------------------------------------------------
Intuit_b::Intuit_b(std::string const& handle) : RW{handle, Type::Intuit} {
  stamp("intuit_b()");
}

//------------------------------------------------------------------------------
Intuit::Intuit() : Intuit{"intuit_obj"} {}

//------------------------------------------------------------------------------
Intuit::Intuit(std::string const& handle) : Intuit_b{handle} {
  stamp("intuit()");

  // preflight();
}

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v221022
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
