//   RW Cleaner
// ==============
// Household Domestics: Cleaning Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/meido/cleaner.cpp
// -Definitions of the baseline RW Cleaner sub-library

#include "incls_all.hpp"

namespace rw::meido {

//------------------------------------------------------------------------------
Cleaner_b::Cleaner_b() : Cleaner_b{"cleaner_b_obj"} {}

//------------------------------------------------------------------------------
Cleaner_b::Cleaner_b(std::string const& handle) : RW{handle, Type::Cleaner} {
  stamp("Cleaner_b()");
}

//------------------------------------------------------------------------------
Cleaner::Cleaner() : Cleaner{"cleaner_obj"} {}

//------------------------------------------------------------------------------
Cleaner::Cleaner(std::string const& handle) : Cleaner_b{handle} {
  stamp("Cleaner()");
}

}  // namespace rw::meido

//    --=^=--

// "______"

// rw_meido_lib.v221022
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
